libzypp: zypp::target::rpm::RpmDbAlreadyOpenException Class Reference

libzypp 17.38.6

zypp::target::rpm::RpmDbAlreadyOpenException Class Reference

`#include <zypp/target/rpm/RpmException.h>`

Inheritance diagram for zypp::target::rpm::RpmDbAlreadyOpenException:

## Public Member Functions
| RpmDbAlreadyOpenException (const Pathname &old_root_r, const Pathname &old_dbpath_r, const Pathname &new_root_r, const Pathname &new_dbpath_r)
| ~RpmDbAlreadyOpenException () override throw ()
Public Member Functions inherited from zypp::target::rpm::RpmException
| RpmException ()
| Ctor taking message.
| RpmException (const std::string &msg_r)
| Ctor taking message.
| ~RpmException () override throw ()
| Dtor.
Public Member Functions inherited from zypp::Exception
| Exception ()
| Default ctor.
| Exception (const std::string &msg_r)
| Ctor taking a message.
| Exception (std::string &&msg_r)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
| Exception (const std::string &msg_r, const Exception &history_r)
| Ctor taking a message and an exception to remember as history.
| Exception (std::string &&msg_r, const Exception &history_r)
| Exception (const std::string &msg_r, Exception &&history_r)
| Exception (std::string &&msg_r, Exception &&history_r)
| ~Exception () override throw ()
| Dtor.
const CodeLocation & | where () const
| Return CodeLocation.
void | relocate (const CodeLocation &where_r) const
| Exchange location on rethrow.
void | relocate (CodeLocation &&where_r) const
| Exchange location on rethrow.
const std::string & | msg () const
| Return the message string provided to the ctor.
std::string | asString () const
| Error message provided by dumpOn as string.
std::string | asUserString () const
| Translated error message as string suitable for the user.
void | remember (const Exception &old_r)
| Store an other Exception as history.
void | remember (Exception &&old_r)
void | remember (std::exception_ptr old_r)
void | remember (const std::string &msg_r)
| Remembering a plain string is most probably not wanted - we addHistory.
void | remember (std::string &&msg_r)
void | addHistory (const std::string &msg_r)
| Add some message text to the history.
void | addHistory (std::string &&msg_r)
template<class TContainer>
void | addToHistory (const TContainer &msgc_r)
| addHistory from string container types (oldest first)
template<class TContainer>
void | moveToHistory (TContainer &&msgc_r)
| addHistory from string container types (oldest first) moving
HistoryIterator | historyBegin () const
| Iterator pointing to the most recent message.
HistoryIterator | historyEnd () const
| Iterator pointing behind the last message.
bool | historyEmpty () const
| Whether the history list is empty.
HistorySize | historySize () const
| The size of the history list.
std::string | historyAsString () const
| The history as string.
std::string | asUserHistory () const
| A single (multiline) string composed of asUserString and historyAsString.

## Protected Member Functions
std::ostream & | dumpOn (std::ostream &str) const override
| Overload this to print a proper error message.

## Private Attributes
std::string | _old_root
std::string | _old_dbpath
std::string | _new_root
std::string | _new_dbpath

## Additional Inherited Members
Public Types inherited from zypp::Exception
using | CodeLocation = exception_detail::CodeLocation
using | History = std::list<std::string>
using | HistoryIterator = History::const_iterator
using | HistorySize = History::size_type
static std::string | strErrno (int errno_r)
| Make a string from errno_r.
static std::string | strErrno (int errno_r, std::string msg_r)
| Make a string from errno_r and msg_r.
static void | log (const Exception &excpt_r, const CodeLocation &where_r, const char *const prefix_r)
| Drop a logline on throw, catch or rethrow.
static void | log (const char *typename_r, const CodeLocation &where_r, const char *const prefix_r)
| \overrload for not-Exception types thrown via ZYPP_THROW

## Detailed Description

Definition at line 180 of file RpmException.h.

## Constructor & Destructor Documentation

## ◆ RpmDbAlreadyOpenException()

zypp::target::rpm::RpmDbAlreadyOpenException::RpmDbAlreadyOpenException | ( | const Pathname & | old_root_r,
|  | const Pathname & | old_dbpath_r,
|  | const Pathname & | new_root_r,
|  | const Pathname & | new_dbpath_r )
| inline

Definition at line 183 of file RpmException.h.

## ◆ ~RpmDbAlreadyOpenException()

zypp::target::rpm::RpmDbAlreadyOpenException::~RpmDbAlreadyOpenException | ( |  | ) |
throw | ( | ) |  |  |
| inlineoverride

Definition at line 193 of file RpmException.h.

## Member Function Documentation

## ◆ dumpOn()

std::ostream & zypp::target::rpm::RpmDbAlreadyOpenException::dumpOn | ( | std::ostream & | str | ) | const
| overrideprotectedvirtual

Overload this to print a proper error message.

Reimplemented from zypp::Exception.

Definition at line 57 of file RpmException.cc.

## Member Data Documentation

## ◆ _old_root

std::string zypp::target::rpm::RpmDbAlreadyOpenException::_old_root
| private

Definition at line 198 of file RpmException.h.

## ◆ _old_dbpath

std::string zypp::target::rpm::RpmDbAlreadyOpenException::_old_dbpath
| private

Definition at line 199 of file RpmException.h.

## ◆ _new_root

std::string zypp::target::rpm::RpmDbAlreadyOpenException::_new_root
| private

Definition at line 200 of file RpmException.h.

## ◆ _new_dbpath

std::string zypp::target::rpm::RpmDbAlreadyOpenException::_new_dbpath
| private

Definition at line 201 of file RpmException.h.

The documentation for this class was generated from the following files:

- zypp/target/rpm/RpmException.h
- zypp/target/rpm/RpmException.cc